Package org.opensaml.soap.wspolicy

# Interface WSPolicyObjectBuilder<WSPolicyObjectType extends WSPolicyObject>

Type Parameters:
  `WSPolicyObjectType` - the type of WS-Policy object being built

All Superinterfaces:
  `XMLObjectBuilder<WSPolicyObjectType>`

All Known Implementing Classes:
  `AbstractWSPolicyObjectBuilder`, `AllBuilder`, `AppliesToBuilder`, `ExactlyOneBuilder`, `PolicyAttachmentBuilder`, `PolicyBuilder`, `PolicyReferenceBuilder`

public interface WSPolicyObjectBuilder<WSPolicyObjectType extends WSPolicyObject> extends XMLObjectBuilder<WSPolicyObjectType>
WSPolicyObjectBuilder.

## Method Summary

Modifier and Type
Method
Description
`WSPolicyObjectType`
`buildObject()`
Builds a WS-Policy object.

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Method Details

### buildObject

@Nonnull WSPolicyObjectType buildObject()
Builds a WS-Policy object.

Returns:
  the built object